Page MenuHome

Export animation data to Adobe After Effects
Closed, ArchivedPublic

Description

Project: Blender Extensions
Tracker: Py Scripts Release
Blender: 2.64
Python: 3.2
Script name: Export: Adobe After Effects (.jsx)
Homepage: http://cg.bartekskorupa.com/b2ae/
Wiki page: http://wiki.blender.org/index.php/Extensions:2.5/Py/Scripts/Import-Export/Adobe_After_Effects
Author(s): Bartek Skorupa
Category: Import Export
SVN Download: https://svn.blender.org/svnroot/bf-extensions/trunk/py/scripts/addons/io_export_after_effects.py
Status: Open

Export cameras' and objects' animation data to Adobe After Effects.
works in blender 2.59/2.60 and After Effects CS3 and above.
Works with square and non-square pixels.
Camera and objects can be animated. Locations, rotations and zoom will be exported.
INSTRUCTIONS:
Select your camera and all objects you want to export and go to File -> Export -> After Effects(.jsx).
A .jsx file will be created that you can run as a script in AE
In AE go to: File --> Scripts --> Run Script File...
and browse to the .jsx file created by blender.
New composition will be created.
Nulls objects follow selected objects' locations and rotations.
You can use them as reference points for tracking and adding effects.

Event Timeline

Date: 2011-10-22 14:59
Sender: Luca Bonavita
[canned response]

We gave you bf-extensions rights, read details at:

- http://wiki.blender.org/index.php/Dev:Py/Sharing
- http://wiki.blender.org/index.php/Dev:2.5/Py/Scripts/Guidelines/Addons

-----

* You can work on svn in contrib/ directory

See a help panel about svn here:
http://wiki.blender.org/index.php/Dev:Extensions/Sharing/SVN_Help

Don\'t forget to add a meaningful message at each svn commit

The password for svn is the same as the one you use to log in in this tracker.

* We invited you to our commits mailing list
see http://lists.blender.org/mailman/listinfo/bf-extensions-cvs

Please subscribe, so that your commit mail will be sent to
subscribers instead of hanging on
You should have received a mail already about it, if not,
please leave a line here, thx!

* Move your script in contrib/ directory in svn (if it\'s not
there already)

* We are assigning this script to yourself, so that you are
responsible for maintenance.

Please click on "Monitor" to receive updates when people edit
your extension tracker page

* Finally, we have moved this tracker page from the original
location in "Upload", so check the tracker_url field and commit
in bf-extensions

Thanks and welcome aboard! :)

Date: 2011-10-25 07:17
Sender: Bartek Skorupa
Thank you very much for upgrading this Add On to contrib.
I would like to draw your attention to very beginning of this tool and positive response received back in 2009:
http://www.blendernation.com/2009/11/24/blender-to-after-effects-export-script/
Back then it was really just a beginning. Comments show the need for existence of such tool.
Let's make it a part of Blender. This will open Blender to After Effects users.

Date: 2011-10-25 08:30
Sender: Brendon Murphy
+1 for script review by ideasman42 with a view to move to trunk

Date: 2011-10-25 09:11
Sender: Campbell Barton
Finished review: http://codereview.appspot.com/5308054

Date: 2011-10-25 17:44
Sender: Bartek Skorupa
Code corrected, uploaded to contrib, waiting for permission to move to trunk or for other suggestions.

Date: 2011-10-26 08:25
Sender: Bartek Skorupa
Moved to trunk

Date: 2011-11-01 09:00
Sender: Bartek Skorupa
v.056 - Changed some functions to fix issues when user enters illegal characters in objects' or composition's names.

Date: 2011-11-13 14:56
Sender: Bartek Skorupa
v. 057 - Corrected behavior when camera sensor fit is set to vertical.

Date: 2011-11-13 14:56
Sender: Bartek Skorupa
Moved from Py Scripts Contrib to Plugins Contrib

Date: 2011-11-22 14:45
Sender: Bartek Skorupa
v. 058 - Changed some arguments' names to match new API.

Date: 2012-01-10 15:23
Sender: Bartek Skorupa
v. 059:
- Removed check if camera has attribute 'sensor size'. This option was needed for backwards compatibility. Not needed anymore.
- Moved adding composition's name from blender's toolbox to After Effects. User specifies name when running script in AE.
- Added option to export selected objects' scale.
- Rotation and scale export is now the option. User can include or exclude those properties.
- Removed 'prefix' from AE's layers' names. This option was just creating mess. No real benefits from having this option
- If no camera is selected - at least scene's camera will be exported (if exists)

Some time ago I have accidentally moved this tracker item to "Plugins Contrib" category.
It seems that I don't have sufficient privileges to move it back where it belongs.
It should be moved to "Py Scripts Release" as it is just a script and is included in trunk, or at least "Py Scripts Contrib" if those are the rules.
Could someone please help me?
I'd like to avoid a mess.

Changelog entry:
23.01.2012 - v. 060:
- Active camera export - when cameras bound to markers - option to export as one camera.
- poll fix - changed from active object to active camera or selected objects.
- Export of active camera is now optional
- Export of selected cameras is now optional
- Naming fix - Changed tracking data export naming for user from BUNDLES to 3D MARKERS
- Toolbar display change - wrapped in box, options added
- Code cleanup - Prepared structure for future options of exporting lamps as AE lights, planes as AE solids and object tracking bundles, additional conditions added to avoid AE errors in some rare cases
- Added displayStartTime on AE side to reflect exported range. It is just the way of displaying current time in AE composition.

Hi,
Due to changes to the api including the merging of bmesh, several addons are outdated.
Please, if you are the author of an addon check your script with blender revision 44256 or newer.
That is builds made After blender 2.62 official release.
I would ask that updates be made to your addon before the Blender 2.63 release.
6-8 weeks away.
This allows time for the api to become more exposed & bmesh to stablize furthur.
If you need help, drop into irc freenode #blenderpython or #blendercoders & feel welcome to ask questions.
At the time of 2.63 release, scripts that are not repaired or in active developement will have their tracker page marked "Closed"
this will not affect your links to the tracker, similar to closing scripts in 2.49b, the page will be still availible & can be re-opened.

Thanks for your understanding & patience during these Exciting Times.
Brendon.

Thank you for drawing our attention to new API. Exporter to After Effects is not affected by latest changes, it works fine. I will however keep eye on it.

Update of March 10th 2012 and March 12th 2012:
Added export of Blender's lamps as After Effects lights.
There is a limitation in After Effects scripting language that doesn't allow to change the type of the light, so every lamp is exported as After Effects "spot light".

Keyframes are added only when needed. Rotations are now represented by After Effects Orientation.


Plans for the future:
Last missing feature that I have in mind is possibility to export Blender's planes as After Effects solids.
I need to figure out the way to calculate proper orientation of the plane when the user rotates or moves it in edit mode. In such case - neither location nor rotation of the object changes. At the moment the exporter is not aware of changes made to the mesh. It bases on the object matrix.

This task was automatically closed as archived as part of migration, because it was determined to be no longer active.

The authoritative list of addons is on the wiki, we no longer have a report for each addon to track bugs and updates. Bugs can be reported individually and assigned to the addon developers. See the Add-ons project page for more information on the workflow.

Nobody (None) closed this task as Archived.Jan 11 2012, 2:40 PM